Get Recipient (GQL)

Note: All the payment API's have the endpoint: /graphql

Use this API to retrieve details of a specific recipient.

This includes essential details such as the recipient's name, associated bank account number, and additional information like the bank's name and routing number.

The API can be used to view or verify recipient details before initiating a fund transfer using any of the available payment rails.

Behaviour : A successful response from this API indicates that the recipient was successfully retrieved.

Body Params

In the respective payment recipient, the following fields are detailed below, providing essential information about the recipient and its specific attributes.

ParameterDescriptionMandatoryData TypeExample
nickNameNickname of the recipient.YesStringVamsi
recipientTypeType of recipient (Individual or Business).YesStringIndividual
firstNameFirst name of the individual recipient.Mandatory for IndividualStringVamsi
lastNameLast name of the individual recipient.(Mandatory for Individual)StringUSA
businessNameName of the business recipient.(Mandatory for Business)StringVamsi
emailAddressEmail address of the recipient.OptionalString[email protected]
phoneNumberPhone number of the recipient.OptionalString480XXXXXXX
paymentRailType of payment rail (ACH, Wire, Internal, SWIFT).YesStringACH
isOwnAccountIndicates whether the account is owned by the recipient (true or false).YesBooleantrue
addressAddress details of the recipient.ConditionalObject
line1First line of the address.MandatoryStringString
line2Second line of the address.OptionalStringString
cityCity of the address.MandatoryStringPark City
stateCodeState code of the address.MandatoryStringString
countryCodeCountry code of the address.MandatoryStringString
postalCodePostal code of the address.MandatoryStringString
accountDetailsDetails of the recipient's account.Object
accountIdIdentifier for the recipient's account.ConditionalStringString
accountNumberAccount number of the recipient.ConditionalStringString
accountTypeType of account (CHECKING, SAVINGS). Default : CHECKINGOptional - Default CheckingStringCHECKING
bankInformationBank information associated with the recipient's account.Object
routingNumberRouting number (ABA for ACH & Wire)ConditionalString1234
swiftCodeSWIFT code for international wire transfers.ConditionalStringABAD
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json